Bug 223008 - Review Request: perl-File-Copy-Recursive - Perl extension for recursively copying files and directories
Review Request: perl-File-Copy-Recursive - Perl extension for recursively cop...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-01-17 10:24 EST by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.30-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-08 04:15:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2007-01-17 10:24:24 EST
Spec URL: ftp://ftp.uni-erlangen.de/pub/mirrors/packman/fedora/SRPMS/perl-File-Copy-Recursive.spec
SRPM URL: ftp://ftp.uni-erlangen.de/pub/mirrors/packman/fedora/SRPMS/perl-File-Copy-Recursive-0.30-1.fc6.src.rpm

Description: 

A Perl module to copy and move directories recursively to an optional depth and
attempts to preserve each file or directory's mode.


This package is a dependency of perl-File-Flat and is required to enable me to upgrade perl-File-Flat to 1.00 in FE (ATM, at 0.95)
Comment 1 Patrice Dumas 2007-01-17 15:43:32 EST
* rpmlint warning is ignorable:
W: perl-File-Copy-Recursive mixed-use-of-spaces-and-tabs (spaces: line 9, tab:
line 1)
* follow guidelines
* free software license, not included
* BuildRequires right
* sane provides:
Provides: perl(File::Copy::Recursive) = 0.30
* match upstream
d764baa2507d4ab4471174d80589de1f  File-Copy-Recursive-0.30.tar.gz
* %files section right.

APPROVED


I personally prefer to add a trailing slash to directories in %files
section, to show visually that it is a directory and not a file, like
in 
%{perl_vendorlib}/File/
Comment 2 Ralf Corsepius 2007-02-08 04:15:35 EST
Must have missed to close this - packages had been build and pushed for quite a
while.

Note You need to log in before you can comment on or make changes to this bug.